
User Interface - Feature #3621

check if the MODIFIED attribute is reset by assignment of the SCREEN-VALUE when !inUIStmt

06/12/2018 05:26 PM - Greg Shah

Status: WIP Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 90%

Category:  Estimated time: 0.00 hour

Target version:    

billable: No version:  

vendor_id: GCD   

Description

History

#1 - 06/12/2018 05:27 PM - Greg Shah

See #3594-98 for details.

If this is an issue for all widgets (not just editor as was fixed in that task), then fix the issue.

#2 - 06/13/2018 10:02 AM - Ovidiu Maxiniuc

- % Done changed from 0 to 90

- Status changed from New to WIP

It seems that the other widgets always set the modified flag.

Example:

    cEditor = "xyz".

    display cEditor with frame a.

    message cEditor:modified.  

will print yes in message area for all kind of widgets (FILL-IN, TEXT, etc) except EDITOR. I tested even those that don't have a SCREEN-VALUE, like

COMBO-BOX, RADIO-SET, etc.    

I added back the valid widget check in EDITOR as in previous code although I don't have any information if this has any effect (ie. the attribute will

ever be called on an invalid widget).

Committed to 3600a as revision 11265.
